---
- name: "Prepare secrets folder"
  file:
    path: "{{ secrets_book_frontend_folder }}"
    state: directory
    mode: 0755
- name: "Generate .env file in the secrets folder"
  template:
    src: .env.json.j2
    dest: "{{ secrets_book_frontend_folder }}/prod.env.json"
    mode: 0666

- shell:
    cmd: cat "{{ secrets_book_frontend_folder }}/prod.env.json" | base64 > "{{ secrets_book_frontend_folder }}/prod.env.json.b64"

- set_fact:
    helm_secret_data: "{{ lookup('file', '{{ secrets_book_frontend_folder }}/prod.env.json.b64') }}"

- name: "Generate helm values file"
  template:
    src: helm-values.yaml.j2
    dest: "{{ secrets_book_frontend_folder }}/prod-values.yaml"
    mode: 0666
